class DeleteSnippetJob {
	def timeout = 60000l     // execute job once in 60 seconds

    def execute() {
	// execute task
	def oneHourAgo = new Date()
	oneHourAgo.minutes = oneHourAgo.hours - 1;
	def snippets = Snippet.executeQuery("from Snippet s where s.dateCreated < ?", [oneHourAgo])
	for (snippet in snippets) {
		def date = snippet.dateCreated.clone()
		date.hours += Integer.parseInt(snippet.durationHours)
		if (date.before(new Date())) {
			def id = snippet.id
			snippet.delete()
			log.info "deleting snippet ${id}"
		}
	}
    }
}
