import groovy.xml.*

//
// This script is executed by Grails after plugin was installed to project.
// This script is a Gant script so you can use all special variables provided
// by Gant (such as 'baseDir' which points on project base dir). You can
// use 'Ant' to access a global instance of AntBuilder
//
// For example you can create directory under project tree:
// Ant.mkdir(dir:"D:\DevProjects\grails_app/zkplugin/grails-app/jobs")
//



Ant.property(environment:"env")
grailsHome = Ant.antProject.properties."env.GRAILS_HOME"
sitemesh_fn = "${basedir}/web-app/WEB-INF/sitemesh.xml"
decorators_fn = "${basedir}/web-app/WEB-INF/decorators.xml"

def sitemesh_excludes () {
	if (new File(decorators_fn).exists()) {
		process_decorators()
	} else {
		process_sitemesh()
		create_decorators()
	}
	
}

def create_decorators() {
println "Creating file ${decorators_fn} ..."
	new File(decorators_fn) <<
"""<decorators>
	<excludes>
		<pattern>*.zul</pattern>
		<pattern>*.zhtml</pattern>
		<pattern>/zkau/*</pattern>
	</excludes>
</decorators>
"""
}

def process_sitemesh() {
println "Adding exclude setting to file ${sitemesh_fn} ..."

	sitemesh = new XmlParser().parse(new FileReader(sitemesh_fn))
	
	new Node (sitemesh, "property", [name:"decorators-file", value:"/WEB-INF/decorators.xml"])
	new Node (sitemesh, "excludes", [file:"\${decorators-file}"])

	def writer = new FileWriter(sitemesh_fn)
	new XmlNodePrinter(new PrintWriter(writer)).print(sitemesh)
	writer.close()
}

def process_decorators() {
//	 add exclude patterns into decorators.xml	
println "Adding exclude patterns to file ${decorators_fn} ..."

	url_patterns = ["*.zul", "*.zhtml", "/zkau/*"]
	decorators = new XmlParser().parse(new FileReader(decorators_fn))
	excludes = decorators.excludes
	if (0 == excludes?.size()) {
	    new Node (decorators, "excludes")
	    excludes = decorators.excludes
	}
	url_patterns = ["*.zul", "*.zhtml", "/zkau/*"]
	url_patterns.each {url->
	    new Node (excludes[0], "pattern", [url])
	}

	def writer = new FileWriter(decorators_fn)
	new XmlNodePrinter(new PrintWriter(writer)).print(decorators)
	writer.close()
}

// check sitemesh.xml and decorators.xml
sitemesh_excludes()
