
class ZkpluginGrailsPlugin {
	def version = 0.2
	def dependsOn = [:]

	def author = "flyisland"
	def authorEmail="flyisland@gmail.com"
	def title="This plugin adds ZK(www.zkoss.org) support into your application"
	
	def doWithSpring = {
		// TODO Implement runtime spring config (optional)
	}   
	def doWithApplicationContext = { applicationContext ->
		// TODO Implement post initialization spring config (optional)		
	}
	def doWithWebDescriptor = { webxml ->
	
		def listenerElements = webxml.'listener'[0]
		listenerElements + {
			'listener' {
				'display-name' ("ZK Session Cleaner")
				'listener-class' ("org.zkoss.zk.ui.http.HttpSessionListener")
			}
		}
		
		def servletElements = webxml.'servlet'[0]
		def mappingElements = webxml.'servlet-mapping'[0]
		
		servletElements + {
			'servlet' {
				'servlet-name' ("zkLoader")
				'servlet-class' ("org.zkoss.zk.ui.http.DHtmlLayoutServlet")
				'init-param' {
					'param-name' ("update-uri")
					'param-value' ("/zkau")
				}
				'load-on-startup' (0)
			}
		}
		
		def urls = ["*.zul", "*.zhtml", "*.svg", "*.xml2html"]
		urls.each {p ->
			mappingElements + {
				'servlet-mapping' {
				'servlet-name'("zkLoader")
				'url-pattern'("${p}")
				}
			}
		}

		servletElements + {
			'servlet' {
				'servlet-name' ("auEngine")
				'servlet-class' ("org.zkoss.zk.au.http.DHtmlUpdateServlet")
			}
		}
		mappingElements + {
			'servlet-mapping' {
			'servlet-name'("auEngine")
			'url-pattern'("/zkau/*")
			}
		}
	
	}	                                      
	def doWithDynamicMethods = { ctx ->
		// TODO Implement additions to web.xml (optional)
	}	
	def onChange = { event ->
		// TODO Implement code that is executed when this class plugin class is changed  
		// the event contains: event.application and event.applicationContext objects
	}                                                                                  
	def onApplicationChange = { event ->
		// TODO Implement code that is executed when any class in a GrailsApplication changes
		// the event contain: event.source, event.application and event.applicationContext objects
	}
}
